> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get the current app signing secret

GET https://api.contentful.com/organizations/{organization_id}/app_definitions/{app_definition_id}/signing_secret

Reference: https://contentful.com/developers/docs/references/content-management-api/app-signing-secret/get-the-current-app-signing-secret

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — ID of the organization
- `app_definition_id` (string, required) — ID of the app definition

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "redactedValue": "<last-4-characters-of-secret>",
  "sys": {
    "appDefinition": {
      "sys": {
        "id": "<app_definition_id>",
        "linkType": "AppDefinition",
        "type": "Link"
      }
    },
    "createdAt": "2025-07-15T01:14:21.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "organization": {
      "sys": {
        "id": "0D9ZC8rLWiw6x5qizZGiRs",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "type": "AppSigningSecret",
    "updatedAt": "2025-07-15T01:14:21.000Z",
    "updatedBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    }
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client
  .getOrganization("<org_id>")
  .then((org) =>
    org.getAppSigningSecret("app_definition_id")
  )
  .then((appSigningSecret) => console.log(appSigningSecret))
  .catch(console.error);
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const signingSecret = await client.appSigningSecret.get({
  organizationId: '<organization_id>',
  appDefinitionId: '<app_definition_id>',
})
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```